using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Helion
{
    public class SysInfo
    {
        static public void Show()
        {
            string informacje = "Informacje o systemie:"
                + "\nWersja systemu: " + Environment.OSVersion
                + "\nWersja Microsoft .NET Framework: " + Environment.Version
                + "\nNazwa komputera: " + Environment.MachineName
                + "\nKatalog systemowy: " + Environment.SystemDirectory
                + "\n\n";
            System.Windows.Forms.MessageBox.Show(informacje, "Informacje o platformie .NET");
        }

        public int GetInfo(out string informacje,bool czyWyswietlac)
        {
            informacje = "Informacje o systemie:"
                + "\nWersja systemu: " + Environment.OSVersion
                + "\nWersja Microsoft .NET Framework: " + Environment.Version
                + "\nNazwa komputera: " + Environment.MachineName
                + "\nKatalog systemowy: " + Environment.SystemDirectory
                + "\n\n";
            if (czyWyswietlac) System.Windows.Forms.MessageBox.Show(informacje, "Informacje o platformie .NET");
            return Environment.Version.Major;
        }

        public int GetInfoBuilder(StringBuilder informacje, bool czyWyswietlac)
        {
            string s;
            int wynik = GetInfo(out s, czyWyswietlac);
            informacje.Append(s);
            return wynik;
        }
    }

    public class Dodatkowa
    {
        public class Zagniezdzona
        {
        }
    }
}
